BareMetal API, REST: PrivateCloudConnection.GetPrivateCloudConnection
Returns the specific Private cloud connection resource.
To get the list of available Private cloud connection resources, make a [List] request.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.yandexcloud.kz/baremetal/v2/clouds/{cloudId}/folders/{folderId}/privateCloudConnections/{privateCloudConnectionId}
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
|
privateCloudConnectionId |
string Required field. ID of the Private cloud connection resource to return. The maximum string length in characters is 20. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"privateCloudConnectionId": "string",
"cloudId": "string",
"folderId": "string",
"vrfId": "string",
"routingInstanceId": "string",
"state": "string",
"name": "string",
"createTime": "string",
"updateTime": "string"
}
A Private cloud connection resource.
|
Field |
Description |
|
privateCloudConnectionId |
string ID of the private cloud connection. |
|
cloudId |
string ID of the cloud that the private cloud connection belongs to. |
|
folderId |
string ID of the folder that the private cloud connection belongs to. |
|
vrfId |
string ID of VRF that is connected to routing Instance. |
|
routingInstanceId |
string ID of Cloud Router Routing Instance. |
|
state |
enum (State) State of the private cloud connection.
|
|
name |
string Name of the private cloud connection. |
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Updafe timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |